package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * @author chenzhibiao
 * @date 2022/11/27 18:37
 **/
@TableName("sendsms")
public class SendSmsPO {
    @TableId(value = "SMSINDEX",type = IdType.INPUT)
    private Integer smsindex;

    @TableField("PHONENUMBER")
    private String phonenumber;

    @TableField("SMSCONTENT")
    private String smscontent;

    @TableField("SMSTIME")
    private Date smstime;

    @TableField("SMSUSER")
    private Integer smsuser;

    @TableField("STATIME")
    private Date statime;

    @TableField("ENDTIME")
    private Date endtime;

    @TableField("STATUS")
    private Integer status;

    @TableField("EXTNO")
    private String extno;

    @TableField("RESULTCODE")
    private String resultcode;

    @TableField("RESULTDESC")
    private String resultdesc;

    @TableField("FAILLIST")
    private String faillist;

    public Integer getSmsindex() {
        return smsindex;
    }

    public void setSmsindex(Integer smsindex) {
        this.smsindex = smsindex;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getSmscontent() {
        return smscontent;
    }

    public void setSmscontent(String smscontent) {
        this.smscontent = smscontent;
    }

    public Date getSmstime() {
        return smstime;
    }

    public void setSmstime(Date smstime) {
        this.smstime = smstime;
    }

    public Integer getSmsuser() {
        return smsuser;
    }

    public void setSmsuser(Integer smsuser) {
        this.smsuser = smsuser;
    }

    public Date getStatime() {
        return statime;
    }

    public void setStatime(Date statime) {
        this.statime = statime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExtno() {
        return extno;
    }

    public void setExtno(String extno) {
        this.extno = extno;
    }

    public String getResultcode() {
        return resultcode;
    }

    public void setResultcode(String resultcode) {
        this.resultcode = resultcode;
    }

    public String getResultdesc() {
        return resultdesc;
    }

    public void setResultdesc(String resultdesc) {
        this.resultdesc = resultdesc;
    }

    public String getFaillist() {
        return faillist;
    }

    public void setFaillist(String faillist) {
        this.faillist = faillist;
    }

    @Override
    public String toString() {
        return "SendSmsPO{" +
                "smsindex=" + smsindex +
                ", phonenumber='" + phonenumber + '\'' +
                ", smscontent='" + smscontent + '\'' +
                ", smstime=" + smstime +
                ", smsuser=" + smsuser +
                ", statime='" + statime + '\'' +
                ", endtime='" + endtime + '\'' +
                ", status=" + status +
                ", extno='" + extno + '\'' +
                ", resultcode='" + resultcode + '\'' +
                ", resultdesc='" + resultdesc + '\'' +
                ", faillist='" + faillist + '\'' +
                '}';
    }

}
